<?php

namespace App\Http\Controllers\Api\V1;

use App\Http\Controllers\Controller;
use App\Models\Invoice;
use Barryvdh\DomPDF\Facade\Pdf;

//use Spatie\LaravelPdf\Enums\Format;
//use Spatie\LaravelPdf\Enums\Unit;
//use Spatie\LaravelPdf\Facades\Pdf;

//use Barryvdh\DomPDF\Facade\Pdf;

class DownloadInvoiceController extends Controller
{
    /**
     * Handle the incoming request.
     */
    public function __invoke(Invoice $invoice) {
        $pdfData = [
            "invoice" => $invoice,
            "owner" => $invoice->owner,
            "wing" => $invoice->wing,
            "society" => $invoice->society,
            "maintainance" => $invoice->maintainance,
        ];

        // Generate PDF and save to the public/test folder
        $pdfName = "invoice-".date("M-Y").".pdf";

//        $filePath = storage_path("app/public/invoices/".$pdfName);
//        Browsershot::html(view("invoices.show", $pdfData)->render())
//            ->format("a4")
//            ->margins(24, 0, 24, 0, "px")
//            ->save($filePath);

        return Pdf::loadView("invoices.show", $pdfData)->stream($pdfName);

    }
}
