<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class RegisterRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array {
        return [
            // TODO: ask weather owner need ?
            'owner_id' => [
                Rule::requiredIf(fn() => in_array($this->input("role"), ["owner", "user"])),
                "exists:owners,id"
            ],
            'flat_id' => [
                Rule::requiredIf(fn() => in_array($this->input("role"), ["owner", "user"])),
                "exists:flats,id"
            ],
            'name' => 'required|string',
            'email' => 'required|string|unique:users,email',
            'password' => 'required|string',
            'phone' => 'required|string|unique:users,phone',
            'role' => 'required|string',
            'password_confirmation' => 'required|same:password'
        ];
    }
}
