<?php

namespace App\Models;

use App\Traits\Searchable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Invoice extends Model
{
    use HasFactory, Searchable;

    protected $fillable = [
        'society_id',
        'flat_id',
        'maintainance_cost',
        'property_tax_cost',
        'water_charges',
        'electricity_charges',
        'vehicle_charges',
        'is_paid',
        'payment_mode',
        'invoice_id',
        'bill_month',
        'bill_date',
        'bill_year',
    ];

    protected array $searchableFields = ["flat.owner", "society.name"];

    public function society(): BelongsTo {
        return $this->belongsTo(Society::class);
    }

    public function flat(): BelongsTo {
        return $this->belongsTo(Flat::class);
    }
}
