<?php

namespace App\Models;

use App\Traits\Searchable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class OwnerApproval extends Model
{
    use HasFactory, Searchable;

    protected $fillable = [
        "owner_id",
        "user_id",
        "is_approved",
    ];

    public function owner(): BelongsTo {
        return $this->belongsTo(Owner::class);
    }

    public function user(): BelongsTo {
        return $this->belongsTo(User::class);
    }
}
