<?php

namespace App\Traits;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;

trait HasStoreFile
{

    public function deleteFile(null|string $folderPath, null|string $fileName, string $disk = "public"): void {
        $filePath = $folderPath."/".$fileName;

        // delete the file if it exists on the disk
        if (Storage::disk($disk)->exists($filePath)) {
            Storage::disk($disk)->delete($filePath);
        }
    }

    public function storeFile(Request $request, string $resource, string $path = null, $disk = "public"): string {
        $file = $request->file($resource);
        $name = time().$file->hashName();


        // store the file
        $file->storeAs($path !== null ? $path : $resource, $name, $disk);
        return $name;
    }
}
